package com.redhat.thermostat.tools.eclipse.plugin.editor;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;

/**
 * Provides information about bundles included in thermostat
 */
public class ThermostatBundleInformation {
    // TODO can we avoid hardcoding this information?

    private Map<String,String> fileToBundleNames = new TreeMap<>();

    public ThermostatBundleInformation() {
        fileToBundleNames.put("agent-cli", "com.redhat.thermostat.agent.cli");
        fileToBundleNames.put("agent-command", "com.redhat.thermostat.agent.command");
        fileToBundleNames.put("agent-core", "com.redhat.thermostat.agent.core");
        fileToBundleNames.put("agent-proxy-common", "com.redhat.thermostat.agent.proxy.common");
        fileToBundleNames.put("annotations", "com.redhat.thermostat.annotations");
        fileToBundleNames.put("client-cli", "com.redhat.thermostat.client.cli");
        fileToBundleNames.put("client-command", "com.redhat.thermostat.client.command");
        fileToBundleNames.put("client-core", "com.redhat.thermostat.client.core");
        fileToBundleNames.put("client-swing", "com.redhat.thermostat.client.swing");
        fileToBundleNames.put("common-command", "com.redhat.thermostat.common.command");
        fileToBundleNames.put("common-core", "com.redhat.thermostat.common.core");
        fileToBundleNames.put("keyring", "com.redhat.thermostat.keyring");
        fileToBundleNames.put("killvm-agent", "com.redhat.thermostat.killvm.agent");
        fileToBundleNames.put("killvm-client-swing", "com.redhat.thermostat.killvm.client");
        fileToBundleNames.put("laf-utils", "com.redhat.thermostat.internal.utils.laf");
        fileToBundleNames.put("launcher", "com.redhat.thermostat.launcher");
        fileToBundleNames.put("main", "com.redhat.thermostat.main");
        fileToBundleNames.put("osgi-living-vm-filter-core", "com.redhat.thermostat.filter.livingvm.core");
        fileToBundleNames.put("osgi-living-vm-filter-swing", "com.redhat.thermostat.filter.livingvm.swing");
        fileToBundleNames.put("osgi-process-handler", "com.redhat.thermostat.process");
        fileToBundleNames.put("plugin-validator", "com.redhat.thermostat.plugin.validator");
        fileToBundleNames.put("shared-config", "com.redhat.thermostat.configuration");
        fileToBundleNames.put("storage-cli", "com.redhat.thermostat.storage.cli");
        fileToBundleNames.put("storage-core", "com.redhat.thermostat.storage.core");
        fileToBundleNames.put("storage-mongodb", "com.redhat.thermostat.storage.mongodb");
        fileToBundleNames.put("swing-components", "com.redhat.thermostat.client.swing.components");
        fileToBundleNames.put("system-backend", "com.redhat.thermostat.backend.system");
        fileToBundleNames.put("web-client", "com.redhat.thermostat.web.client");
        fileToBundleNames.put("web-common", "com.redhat.thermostat.web.common");
        fileToBundleNames.put("web-server", "com.redhat.thermostat.web.server");
    }
    public List<String> getVersions() {
        return Arrays.asList("1.0", "1.0.2", "1.2.0");
    }

    public List<String> getBundleNames(String selectedVersion) {
        return new ArrayList<>(fileToBundleNames.values());
    }

}
